package com.bocloud.cmp.provider.common;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 验证环境接口
 *
 * @author lkx007
 */
public interface ValidateProvider extends SuperProvider {
    /**
     * 验证环境
     *
     * @return
     */
    default BocloudResult validate() {
        return new BocloudResult(false, "need implement");
    }

    /**
     * 获取验证环境结果
     *
     * @return
     */
    default BocloudResult result() {
        return new BocloudResult(false, "need implement");
    }

    /**
     * 获取事件
     *
     * @return
     */
    default BocloudResult events() {
        return new BocloudResult(false, "need implement");
    }
}
